%global dlrn_nvr keystoneauth1-4.4.0-1.20220727222004.112bcae
%global dlrn 1
%define upstream_version 4.4.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%global pypi_name keystoneauth1

%global common_desc \
Keystoneauth provides a standard way to do authentication and service requests \
within the OpenStack ecosystem. It is designed for use in conjunction with \
the existing OpenStack clients and for simplifying the process of writing \
new clients.

%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:       python-%{pypi_name}
Version: 4.4.0
Release: 1.20220727222004.112bcae%{?dist}
Summary:    Authentication Library for OpenStack Clients
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{pypi_name}
Source0: keystoneauth1-4.4.0-1.20220727222004.112bcae.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=112bcae1fbec355fcb58da07ae1d9f1adf8b77ba

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/keystoneauth/keystoneauth1-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n     python3-%{pypi_name}
Summary:        Authentication Libarary for OpenStack Identity
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-keystoneauth}

BuildRequires: git-core
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
BuildRequires: python3-pbr >= 2.0.0

# test requires
BuildRequires: python3-betamax >= 0.7.0
BuildRequires: python3-fixtures >= 1.3.1
BuildRequires: python3-mock
BuildRequires: python3-oslotest
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-utils
BuildRequires: python3-stestr
BuildRequires: python3-oauthlib
BuildRequires: python3-requests
BuildRequires: python3-os-service-types
BuildRequires: python3-stevedore
BuildRequires: python3-iso8601
BuildRequires: python3-requests-mock >= 1.1

BuildRequires: python3-PyYAML
BuildRequires: python3-lxml
BuildRequires: python3-requests-kerberos

Requires:      python3-iso8601 >= 0.1.11
Requires:      python3-os-service-types >= 1.2.0
Requires:      python3-pbr >= 2.0.0
Requires:      python3-requests >= 2.14.2
Requires:      python3-six => 1.10.0
Requires:      python3-stevedore >= 1.20.0

%description -n python3-%{pypi_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:    Documentation for OpenStack Identity Authentication Library

BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-mox3

%description -n python-%{pypi_name}-doc
Documentation for OpenStack Identity Authentication Library
%endif


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git

sed -i '/sphinx.ext.intersphinx.*$/d'  doc/source/conf.py

# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove syntax tests
rm keystoneauth1/tests/unit/test_hacking_checks.py

%build
%{py3_build}

%install
%{py3_install}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
# Disabling warning-is-error because of issue with python2 giving a warning:
# "The config value `apidoc_module_dir' has type `unicode', expected to ['str']."
sphinx-build-3 -b html -d doc/build/doctrees doc/source doc/build/html
rm -rf doc/build/html/.buildinfo
%endif

%check
PYTHON=%{__python3} stestr-3 run

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-1.20220727222004.112bcae
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-1.20220714101123.112bcae
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-1.20220713072509.112bcae
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-0.20220712105438.112bcae
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.3.1-0.20210527212447.112bcae
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 4.3.1-1
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Specify manila microversion header

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Dec 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Provide the default get_auth_ref implementation
- Update master for stable/victoria

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct major version discovery for non-keystone plugins
- Fix docs builds for modern stevedors
- Fix get_endpoint_data for non-keystone plugins

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python 3.5 support
- Implement HTTP Basic client support in keystoneauth1
- Update lower-constraints versions
- Remove mox3 from local upper-constraints
- Replace assertItemsEqual with assertCountEqual
- Add in-tree upper-constraints for py35 job
- Make header Case Insensitive
- Use unittest.mock instead of third party mock
- Add py38 package metadata
- Inject /v3 in token path for v3 plugins
- Fix hacking min version to 3.0.1
- Fix E741 pep8 failure
- Switch to newer openstackdocstheme and reno versions
- Re-add python3.5 testing
- Cleanup py27 support
- Update master for stable/ussuri

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Remove universal wheel configuration
- fix bandit complains
- [ussuri][goal] Drop python 2.7 support and testing
- Switch to Ussuri jobs

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fetch discovery documents with auth when needed"
- Merge "Update master for stable/train"
- Merge "Allow initializing session with connection retries"
- Merge "Make tests pass in 2020"
- Merge "Cleanup session on delete"
- Fetch discovery documents with auth when needed
- Make tests pass in 2020
- Generate pdf documentation
- Follow the PTI for docs
- Update master for stable/train
- Fix misspell word
- Allow initializing session with connection retries
- Cleanup session on delete

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


